/* A demo of the forms library using light buttons for
   radio buttons and input fields. 

   Written by Mark overmars

   Date: 29 Apr 1991
*/

#include <stdlib.h>
#include "forms.h"

FL_FORM *form;
FL_OBJECT *but;
  
void make_form1()
{
  FL_OBJECT *obj;
  form = fl_bgn_form(FL_UP_BOX,500.0,400.0);
    fl_bgn_group();
      obj = fl_add_box(FL_UP_BOX,150.0,40.0,300.0,65.0,"Children  ");
      fl_set_object_align(obj,FL_ALIGN_LEFT);
      fl_add_lightbutton(FL_RADIO_BUTTON,175.0,55.0,50.0,35.0,"1");
      fl_add_lightbutton(FL_RADIO_BUTTON,241.5,55.0,50.0,35.0,"2");
      fl_add_lightbutton(FL_RADIO_BUTTON,308.5,55.0,50.0,35.0,"3");
      fl_add_lightbutton(FL_RADIO_BUTTON,375.0,55.0,50.0,35.0,"4");
    fl_end_group();
    fl_bgn_group();
      obj = fl_add_box(FL_UP_BOX,150.0,105.0,300.0,65.0,"Married  ");
      fl_set_object_align(obj,FL_ALIGN_LEFT);
      fl_add_lightbutton(FL_RADIO_BUTTON,175.0,120.0,100.0,35.0,"Yes");
      fl_add_lightbutton(FL_RADIO_BUTTON,325.0,120.0,100.0,35.0,"No");
    fl_end_group();
    fl_bgn_group();
      obj = fl_add_box(FL_UP_BOX,150.0,170.0,300.0,65.0,"Sex  ");
      fl_set_object_align(obj,FL_ALIGN_LEFT);
      fl_add_lightbutton(FL_RADIO_BUTTON,175.0,185.0,100.0,35.0,"Male");
      fl_add_lightbutton(FL_RADIO_BUTTON,325.0,185.0,100.0,35.0,"Female");
    fl_end_group();

    fl_add_input(FL_NORMAL_INPUT,150.0,340.0,300.0,30.0,"Name  ");
    fl_add_input(FL_NORMAL_INPUT,150.0,295.0,300.0,30.0,"Address  ");
    fl_add_input(FL_NORMAL_INPUT,150.0,250.0,300.0,30.0,"City  ");

    but = fl_add_button(FL_NORMAL_BUTTON,25.0,10.0,75.0,30.0,"OK");
  fl_end_form();
}

main()
{
  FL_OBJECT *obj;
  fl_init();
  make_form1();
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  while (1)
  {
    do obj = fl_do_forms(); while (obj != but);
    if (fl_show_question("Do you really want to Quit?","","")) exit(0);
  }
}

